package de.tu_dresden.diplom.richter_mirko_mat2628335.witness.account;

import de.tu_dresden.diplom.richter_mirko_mat2628335.common.account.IFAmount;

/**
 * A account transfer context is a informational context belonging to
 * one operation (request and response) 
 */
public interface IFAccountTransferContext {

   public IFAccount getTargetAccount();
   public IFAccount getSourceAccount();

   public IFAmount getTransferValue();

   public boolean isValid();

   public void startTransfer();
   public void stopTransfer();

}
